# norootforbuild
#!BuildIgnore:          post-build-checks
%define _prefix		/usr
%define _libname	libdjconsole

Summary:		DJ Console access library
Name:			libdjconsole0
Version:		0.1.3
Release:		7.8
License:		GPL
Group:			System/Libraries
Source0:		%{_libname}-%{version}.tar.bz2
URL:			http://djplay.sourceforge.net/
BuildRoot:		%{_tmppath}/%{name}-%{version}-root
%if 0%{?suse_version} >= 1030
BuildRequires:	libusb-devel >= 0.1.11
%else
BuildRequires:	libusb >= 0.1.11
%endif
BuildRequires:	libstdc++-devel
BuildRequires:	gcc-c++
BuildRequires:	pkgconfig

%description
libdjconsole allows access to the Hercules DJ Console.

Author: Melanie Thielker <melanie@t-data.com>

%package -n libdjconsole-devel
Summary:	Development files for libdjconsole
Group:		Development/Libraries/C and C++
Requires:	%{name} = %{version}
Requires:	libstdc++-devel
%if 0%{?suse_version} >= 1030
Requires:	libusb-devel >= 0.1.11
%else
Requires:	libusb >= 0.1.11
%endif

%description -n libdjconsole-devel
Development headers and libraries for libdjconsole.

Author: Melanie Thielker <melanie@t-data.com>

%debug_package

%prep
%setup -q -n %{_libname}-%{version}

%__sed -i -e 's|Libs: -L${libdir} -ldjconsole|Libs: -L${libdir} -ldjconsole -lstdc++ -lusb|g' \
	libdjconsole.pc.in

%build
if [ ! -f configure ]; then
	CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh
fi

CFLAGS="$RPM_OPT_FLAGS" \
%configure \
	--enable-threads \
	--disable-system-install \
	--disable-more-warnings

CFLAGS="$RPM_OPT_FLAGS" \
%__make

%install
%__make install \
	prefix=%{buildroot}%{_prefix} \
	sysconfdir=%{buildroot}%{_sysconfdir} \
	bindir=%{buildroot}%{_bindir} \
	libdir=%{buildroot}%{_libdir} \
	includedir=%{buildroot}%{_includedir} \
	datadir=%{buildroot}%{_datadir} \
	mandir=%{buildroot}%{_mandir} \
	infodir=%{buildroot}%{_infodir}

%__sed -i -e 's|/lib|/%{_lib}|g' \
	%{buildroot}%{_libdir}/pkgconfig/libdjconsole.pc
%__sed -i -e 's|/lib64djconsole|/libdjconsole|g' \
	%{buildroot}%{_libdir}/pkgconfig/libdjconsole.pc

%__rm %{buildroot}%{_libdir}/%{_libname}.la

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && %__rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS README COPYING ChangeLog NEWS
%{_sysconfdir}/udev/rules.d/45-hpdjconsole.rules
%{_libdir}/%{_libname}.so.*
%dir %{_datadir}/%{_libname}
%{_datadir}/%{_libname}/*

%files -n libdjconsole-devel
%defattr(-, root, root)
%{_libdir}/%{_libname}.a
%{_libdir}/%{_libname}.so
%dir %{_includedir}/%{_libname}
%{_includedir}/%{_libname}/*
%{_libdir}/pkgconfig/%{_libname}.pc

%changelog
* Sun Aug 17 2008 Carsten Schoene <cs@linux-administrator.com> - 0.1.3-2
- initial import for SLE_10 build
